Bug 1000645 - grub2-mkconfig fails with memory error in grub2-script-check
grub2-mkconfig fails with memory error in grub2-script-check
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-23 20:33 EDT by bob mckay
Modified: 2015-02-18 06:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 06:24:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/grub.d/40_custom file which I edited immediately before problem (1.17 KB, text/plain)
2013-08-23 20:33 EDT, bob mckay
no flags Details

  None (edit)
Description bob mckay 2013-08-23 20:33:21 EDT
Created attachment 789756 [details]
/etc/grub.d/40_custom file which I edited immediately before problem

Description of problem: when I run grub2, I get this error:
*** Error in `/usr/bin/grub2-script-check': malloc(): memory corruption: 0x000000000096b0c0 ***

Version-Release number of selected component (if applicable):
I'm not sure how to get this. The 

How reproducible: Always

Steps to Reproduce:
1. edited /etc/grub.d/40_custom
2. grub2-install /dev/sda
3. grub2-mkconfig -o /boot/grub2/grub.cfg

Actual results:
The mkconfig ends with:

Found initrd image: /boot/initramfs-0-rescue-46f8d5da02fe1dc312320b684bf39fd1.img
*** Error in `/usr/bin/grub2-script-check': malloc(): memory corruption: 0x000000000096b0c0 ***
*** Error in `/usr/bin/grub2-script-check': malloc(): memory corruption: 0x000000000096b0c0 ***

then hangs. I haven't encountered any other memory errors on this machine, so I don't think there is a hardware problem.

Expected results:
Normal termination

Additional info:
This is a fairly standard fedora install, though it has been upgraded over a number of versions (preupgrade and fedup). In case it's relevant, the /etc/grub.d/40_custom file is attached. I couldn't find any other relevant information in /var/log, but happy to provide additional information if needed.
Comment 1 Mads Kiilerich 2013-08-31 10:09:50 EDT
There is no doubt it is a bug - apparently in handling of syntax errors. It should have given a clear error message.

It seems to work ok if you fix the syntax errors in your 40_custom file.
Comment 2 bob mckay 2014-11-25 09:10:41 EST
Thanks for the heads-up. I guess I should leave this as assigned because of the lack of syntax message?
Comment 3 Fedora End Of Life 2015-01-09 17:16:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:24:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.